i18next
.use(i18nextBrowserLanguageDetector)
.init({
	fallbackLng: 'en',
	resources: {
		en: {
			translation: {
				menu: {
					about: "About me",
					experiences: "Professionnal Experiences",
					training: "Training",
					publications: "Publications",
					teachings: "Teaching",
					projects: "Projects"
				},
				about: {
					job : "Postdoctoral Researcher <br>Secure System Engineering",
					p1: "After following training courses focused on software development at the <a href='https://www.univ-tlse2.fr/home/' class='text-primary'>University of Toulouse 2 Jean-Jaurès</a> " +
						"and obtained a <a href='https://www.univ-tlse2.fr/accueil/navigation/formation-insertion/formation-continue/master-informatique-collaborative-en-entreprise-ice-1e-et-2e-annee-444876.kjsp'>" +
						"sandwich course master's degree in Collaborative Computer Science</a>. Then, completed a PhD in Computer Science at <a href='https://www.univ-tlse3.fr/'>University Toulouse 3 Paul Sabatier</a> " +
                        "and be a  Postdoctoral Researcher at <a href='https://carleton.ca/'>Carleton University</a>. "+
						"I am currently a Postdoctoral Researcher at  <a href='https://uqo.ca/'>Université du Québec en Outaouais</a>.",
					p2: "My main research topics concern the <a href='https://en.wikipedia.org/wiki/Software_architecture'>software architecture</a>, " + 
                        "the <a href='https://en.wikipedia.org/wiki/Computer_security'>security</a> et the <a href='https://en.wikipedia.org/wiki/Formal_methods'>Formal methods</a>. " + 
                        "And I am particularly interested in on <a href='https://en.wikipedia.org/wiki/Model-driven_engineering'>model-driven engineering</a> and " +
                        "<a href='https://en.wikipedia.org/wiki/Formal_verification'>formal verification</a> approaches to secure software architectures.",
                    p3:
                        "As self-taught <a href='https://fr.wikipedia.org/wiki/D%C3%A9veloppement_de_logiciel'>software developer</a> from a young age, " +
                        "I am from a personal point of view a passionate developer. I have a special interest in <a href='https://en.wikipedia.org/wiki/Free_software'>free software</a> " +
                        "and <a href='https://en.wikipedia.org/wiki/Unix'>unix</a> systems.",
                    location: "<a href='https://lrsi.uqo.ca/'>Université du Québec en Outaouais, LRSI Research Lab, Gatineau, Canada (QC)</a>"
                    
				},
				experiences: {
					title: "Professionnal Experiences",
					uqo : {
                        title: "2023-present - Postdoctoral Fellow",
                        location: "<a href='https://uqo.ca/'>Université du Québec en Outaouais</a> at <a href='https://lrsi.uqo.ca/'>LRSI</a> Research Lab, Gatineau, Canada (QC)"
                    },
                    carleton : {
                        title: "2021-2023 - Postdoctoral Fellow",
                        location: "<a href='https://carleton.ca/'>Carleton University</a> at <a href='https://carleton.ca/cybersea/'>CyberSEA</a> Research Lab, Ottawa, Canada (ON)"
                    },
					phd: {
                        title: "2017-2020 - Phd Student",
						location: "<a href='https://www.univ-tlse3.fr/'>University Toulouse 3 Paul Sabatier</a> at <a href='https://www.irit.fr/?lang=en'>IRIT</a> Research Lab, Toulouse, France (31)",
                        exp1: "Computer science research - Rigorous Development of Secure Software Architectures : Security / Model Driven Engineering  / Formal Methods",
                        exp2: "Teaching - 76h / year",
                    },
					ater: {
						title: "2020-2021 -  Temporary Lecturer and Research Assistant",
						location: "<a href='https://www.univ-tlse2.fr/home/'>University Toulouse 2 Jean-Jaurés</a> at <a href='https://www.irit.fr/?lang=en'>IRIT</a> Research Lab, Toulouse, France (31)",
                        exp1: "Computer science research - Rigorous Development of Secure Software Architectures : Security / Model Driven Engineering  / Formal Methods ",
                        exp2: "Teaching - 192h / year",
					},

					engie: {
						title: "2015-2017 - Sandwich Course Master Degree",
						location: "<a href='https://www.engie-ineo.fr/en/'>Engie Ineo</a>, Toulouse, France (31)",
						exp1: "Installation, configuration, securing Linux OS  - CentOS / Bash",
						exp2: "Set Up Virtual Machines and Networks - KVM / Open VSwitch",
						exp3: "Set Up System and Network Supervision - Nagios / IPMI",
						exp4: "Operational Continuity Support on Industrial SCADA System - C++ / Qt / Python",
					},
					freescale: {
						title: "2015 - Bachelor Degree Internship",
						location: "<a href='https://www.nxp.com/'>Freescale Semiconducteur</a>, Toulouse, France (31)",
						exp1: "Creation of a Web Service for the Processing and Publication of Testing Data.",
						exp2: "Python [Django, Panda] / HTML / Js [D3.js, JQuery] / CSS",
					},
					panacee: {
						title: "2014 - Associate Degree Internship",
						location: "<a href='https://www.espritsante.com/'>Panacee des Plantes</a>, Agen, France (47)",
						exp1: "Implementation of New Functionnalities on an E-Shopping Site",
						exp2: "PHP / HTML / Js / CSS",
					}
				},
				training: {
					title: "Training",
                    phd: {
						title: "2017-2021 - PhD in Computer Science",
						location: "<a href='https://www.univ-tlse3.fr/'>University Toulouse 3 Paul Sabatier</a> at <a href='https://www.irit.fr/?lang=en'>IRIT</a>, Toulouse, France (31)",
					},
					ice: {
						title: "2015-2017 - Master Degree in Software Development (ICE)",
						location: "<a href='https://www.univ-tlse2.fr/home/'>University Toulouse 2 Jean-Jaurés</a>, Toulouse, France (31)"
					},
					l3: {
						title: "2014-2015 - Bachelor Degree in Software Development (MIASHS)",
						location: "<a href='https://www.univ-tlse2.fr/home/'>University Toulouse 2 Jean-Jaurés</a>, Toulouse, France (31)"
					},
					iut: {
						title: "2012-2014 - Associate Degree in Software Development",
						location: "<a href='https://www.iut-blagnac.fr/fr'>University Institutes of Technology Blagnac</a>, Blagnac, France (31)"
					},
					bac: {
						title: "2012 - High-School Degree in Science Option Engineering Science and Mathematics",
						location: "<a href='https://cite-francois-mitterrand.mon-ent-occitanie.fr/'>Lycée François Mitterrand</a>, Moissac, France (82)"
					}
				},
				publications: {
					journal: "Journal",
					conference: "Conference",
					these: "These",
					nothing: "Soon !"
				},
				teachings: {
					univtoulouse2: " - University Toulouse 2 Jean-Jaurés",
					univtoulouse3: " - University Toulouse 3 Paul Sabatier"
				},
				projects: {
					soon: "Soon !"
				}
			}
		},
		fr: {
			translation: {
				menu: {
					about: "A propos de moi",
					experiences: "Expériences Professionnelles",
					training: "Formation",
					publications: "Publications",
					teachings: "Enseignements",
					projects: "Projets"
				},
				about: {
					job: "Chercheur Postdoctoral <br>Ingénierie des Systèmes Sécurisés",
					p1: "Après avoir suivi un parcours orienté développement logiciel à l'<a href='https://www.univ-tlse2.fr/' class='text-primary'>Université Toulouse 2 Jean-Jaurès</a> " +
						"et obtenu un <a href='https://www.univ-tlse2.fr/accueil/navigation/formation-insertion/formation-continue/master-informatique-collaborative-en-entreprise-ice-1e-et-2e-annee-444876.kjsp'>" +
						"Master en Informatique Collaborative en Entreprise</a> en alternance. Puis réaliser un doctorat en Informatique à l'<a href='https://www.univ-tlse3.fr/'>Université Toulouse 3 Paul Sabatier</a> " +
                        "au sein du laboratoire de recherche de l'<a href='https://irit.fr' class='text-primary'>IRIT</a> " +
						"et un postdoctorat à l'<a href='https://carleton.ca/'>Université Carleton</a>. " +
						"Je suis actuellement chercheur postdoctoral à l'<a href='https://uqo.ca/'>Université du Québec en Outaouais</a>",
					p2: "Mes principaux sujets de recherches concernent les <a href='https://fr.wikipedia.org/wiki/Architecture_logicielle'>architectures logicielles</a>, " + 
                        "la <a href='https://fr.wikipedia.org/wiki/S%C3%A9curit%C3%A9_des_syst%C3%A8mes_d%27information'>sécurité</a> et les <a href='https://fr.wikipedia.org/wiki/M%C3%A9thode_formelle_(informatique)'>méthodes formelles</a>. " + 
                        "Et je m'intéresse plus particulièrement aux approches basées sur l'<a href='https://fr.wikipedia.org/wiki/Ing%C3%A9nierie_dirig%C3%A9e_par_les_mod%C3%A8les'>ingénierie dirigée par les modèles</a> et " +
                        "la <a href='https://fr.wikipedia.org/wiki/V%C3%A9rification_formelle'>vérification formelle</a> pour les architectures logicielles sécurisées.",
                    p3:
                        "Ayant commencé à apprendre jeune le <a href='https://fr.wikipedia.org/wiki/D%C3%A9veloppement_de_logiciel'>développement logiciel</a> en autodidacte, " +
                        "je suis d'un point de vue personnel un développeur passionné. Je porte un intérêt particulier pour les <a href='https://fr.wikipedia.org/wiki/Logiciel_libre'>logiciels libres</a> " +
                        "et les systèmes <a href='https://fr.wikipedia.org/wiki/Unix'>unix</a>.",
                    location: "<a href='https://lrsi.uqo.ca/'>Université du Québec en Outaouais, Laboratoire de Recherche LRSI, Gatineau, Canada (QC)</a>"
				},
				experiences: {
					title: "Expériences Professionelles",
					uqo : {
                        title: "2023-present - Chercheur Postdoctoral",
                        location: "<a href='https://uqo.ca/'>Université du Québec en Outaouais</a> / <a href='https://lrsi.uqo.ca/'>LRSI</a>, Gatineau, Canada (QC)"
                    },
                    carleton : {
                        title: "2021-2023 - Chercheur Postdoctoral",
                        location: "<a href='https://carleton.ca/'>Université Carleton</a> / <a href='https://carleton.ca/cybersea/'>CyberSEA</a>, Ottawa, Canada (ON)"
                    },
                    phd: {
                        title: "2017-2020 - Doctorant contractuel",
						location: "<a href='https://www.univ-tlse3.fr/'>Université Toulouse 3 Paul Sabatier</a> / <a href='https://www.irit.fr/?lang=en'>IRIT</a>, Toulouse, France (31)",
                        exp1: "Recherche en informatique - Développement Rigoureux des Architectures Logicielles Sécurisées : Sécurité / Ingénierie Dirigée par les Modèles / Méthodes Formelle",
                        exp2: "Enseignement - 64h équivalent TD / an",
                    },
					ater: {
						title: "2020-2021 - Attaché temporaire d'enseignement et de recherche",
						location: "<a href='https://www.univ-tlse2.fr/home/'>Université Toulouse 2 Jean-Jaurés</a> / <a href='https://www.irit.fr/?lang=en'>IRIT</a>, Toulouse, France (31)",
                        exp1: "Recherche en informatique - Développement Rigoureux des Architectures Logicielles Sécurisées : Sécurité / Ingénierie Dirigée par les Modèles / Méthodes Formelle",
                        exp2: "Enseignement - 192h équivalent TD / an",
					},
					engie: {
						title: "2015-2017 - Alternance Master ICE",
						location: "<a href='https://www.engie-ineo.fr/'>Engie Ineo</a>, Toulouse, France (31)",
						exp1: "Installation, configuration, sécurisation d’OS Linux  - CentOS / Bash",
						exp2: "Mise en Place de Machines et Réseau Virtuelle - KVM / Open VSwitch",
						exp3: "Mise en Place de Surveillance Système et Réseau - Nagios / IPMI",
						exp4: "MCO Système Industriel SCADA - C++ / Qt / Python",
					},
					freescale: {
						title: "2015 - Stage Fin L3 MIASHS Informatique",
						location: "<a href='https://www.nxp.com/'>Freescale Semiconducteur</a>, Toulouse, France (31)",
						exp1: "Création d'un Service Web de Traitement et de Publication Statistiques de Données de Tests ",
						exp2: "Python [Django, Panda] / HTML / Js [D3.js, JQuery] / CSS",
					},
					panacee: {
						title: "2014 - Stage Fin DUT Informatique",
						location: "<a href='https://www.espritsante.com/'>Panacee des Plantes</a>, Agen, France (47)",
						exp1: "Implémentation de Nouvelles Fonctionnalités sur un Site de E-Commerce",
						exp2: "PHP / HTML / Js / CSS",
					}
				},
				training: {
					title: "Formation",
                    phd: {
						title: "2017-2021 - Doctorat en Informatique",
						location: "<a href='https://www.univ-tlse3.fr/'>Université Toulouse 3 Paul Sabatier</a> / <a href='https://www.irit.fr/?lang=en'>IRIT</a>, Toulouse, France (31)",
					},
					ice: {
						title: "2015-2017 - Master ICE (Informatique Collaborative en Entreprise)",
						location: "<a href='https://www.univ-tlse2.fr/'>Université Toulouse 2 Jean-Jaurés</a>, Toulouse, France (31)"
					},
					l3: {
						title: "2014-2015 - Licence MIASHS (Mathématiques, Informatique Appliquées aux Sciences Humaines et Sociales)",
						location: "<a href='https://www.univ-tlse2.fr/'>Université Toulouse 2 Jean-Jaurés</a>, Toulouse, France (31)"
					},
					iut: {
						title: "2012-2014 - DUT Informatique",
						location: "<a href='https://www.iut-blagnac.fr/fr'>Institut Universitaire de Technologie Blagnac</a>, Blagnac, France (31)"
					},
					bac: {
						title: "2012 - Baccalauréat Scientifique Science de l'Ingénieur Option Mathématiques",
						location: "<a href='https://cite-francois-mitterrand.mon-ent-occitanie.fr/'>Lycée François Mitterrand</a>, Moissac, France (82)"
					}
				},
				publications: {
					journal: "Journal",
					conference: "Conférence",
					these: "Thèse",
					nothing: "Bientôt !"
				},
				teachings: {
					univtoulouse2: " - Université Toulouse 2 Jean-Jaurés",
					univtoulouse3: " - Université Toulouse 3 Paul Sabatier"
				},
				projects: {
					soon: "Bientôt !"
				}
			}
		}
	}
}, 
	function(err, t) {
		jqueryI18next.init(i18next, $);
		updateContent();
	}
);


function updateContent() {
	$('#menu').localize();
	$('#about').localize();
	$('#experiences').localize();
	$('#training').localize();
	$('#publications').localize();
	$('#teachings').localize();
	$('#projects').localize();
}

i18next.on('languageChanged', () => {
	updateContent();
});
